<?php

namespace AutoAdmin\Bundle\Admin\Controller\Exception;

use Throwable;

class NotFoundActionTemplateException extends \Exception
{
    private string $messageTemplate = 'Action template for "%s" and controller "%s" was not found.';

    public function __construct(string $action, string $controller, int $code = 0, ?Throwable $previous = null)
    {
        $message = sprintf($this->messageTemplate, $action, $controller);

        parent::__construct($message, $code, $previous);
    }
}